# My projects

## Tools
- [knowledge](https://git.hydrar.de/jmarya/knowledge) : ✨ forbidden knowledge and everything everywhere all at once
- [webarc](https://git.hydrar.de/jmarya/webarc) : 📜 Website Archive
- [watchdogs](https://git.hydrar.de/jmarya/watchdogs) : 👀🐶 Video Server
- [synthWRLD](https://git.hydrar.de/synthwrld) : 🔊 Music Server
- [pacco](https://git.hydrar.de/jmarya/pacco) : 📦 Pacman Package Server
- [umbrella](https://git.hydrar.de/jmarya/umbrella) : ☂️ Project Overviews
- [mirrord](https://git.hydrar.de/jmarya/mirrord) : 🪞 HTTP Mirror
- [bk](https://git.hydrar.de/jmarya/bk) : 🍔 backup utility
- [hoard](https://git.hydrar.de/jmarya/hoard) : Data Hoarder Utility for automatic downloading
- [cookiex](https://git.hydrar.de/jmarya/cookiex) : 🍪 Extract cookies from your browser session
- [clipwatch](https://git.hydrar.de/jmarya/clipwatch) : 📋 tiny utility that simplifies copy/paste-heavy workflows
- [giterator](https://git.hydrar.de/jmarya/giterator) : Run commands for each git commit
- [g](https://git.hydrar.de/jmarya/g) : top `g(it)?`
- [vk](https://git.hydrar.de/jmarya/vk) : vikunja cli

## Libraries
- [based](https://git.hydrar.de/jmarya/based) : Based web dev primitives
- [comrade](https://git.hydrar.de/jmarya/comrade) : worker union or something
- [jsonfilter](https://git.hydrar.de/jmarya/jsonfilter) : MongoDB like JSON filter and comparison
- [jobdispatcher](https://git.hydrar.de/jmarya/jobdispatcher) : A thread-safe job dispatcher
- [mongod](https://git.hydrar.de/jmarya/mongod) : model database on top of mongodb

## mdtools
- [mdq](https://git.hydrar.de/mdtools/mdq) : command line tool to query markdown documents which have yaml frontmatter.
- [mdlint](https://git.hydrar.de/mdtools/mdlint) : Validate markdown frontmatter using JSON Schemas
- [mddiff](https://git.hydrar.de/mdtools/mddiff) : tool for comparing the frontmatter of two markdown files and generating a JSON patch file
- [mdpatch](https://git.hydrar.de/mdtools/mdpatch) : Patch the frontmatter of markdown files

## Misc
- [me-site](https://git.hydrar.de/jmarya/me-site) : Personal Site
- [zsh_config](https://git.hydrar.de/jmarya/zshconfig) : ZSH configuration + scripts
- [config](https://git.hydrar.de/jmarya/config) : Personal Configs
- [chisel-forward](https://git.hydrar.de/jmarya/chisel-forward) : Docker container for forwarding a port with chisel
